extends Item

const HEALING_EFFECT = preload("res://Effects/Healing.tscn")

func use(target, _target_enemy):
	Audio.play_sound("Potion")
	if target is Entity:
		var inst = HEALING_EFFECT.instance()
		inst.set_timers(10, 1)
		inst.amount = 5
		target.add_effect(inst)
